import 'package:flutter_riverpod/flutter_riverpod.dart';
import 'message_model.dart';

final messageListProvider = FutureProvider<List<MessageModel>>((ref) async {
  return MessageModel.mockMessages;
});

final unreadCountProvider = Provider<int>((ref) {
  return MessageModel.mockMessages.where((m) => !m.isRead).length;
});
